Skip to main content
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
address
Return a wallet address for a given currency
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/address \
  --header 'X-Signature: <api-key>'
{
  "address": "<string>",
  "ledger": "<string>",
  "walletId": "<string>",
  "walletOwner": {
    "id": "<string>",
    "name": "<string>",
    "address": {
      "address1": "<string>",
      "city": "<string>",
      "country": "<string>",
      "address2": "<string>",
      "zipCode": "<string>"
    }
  },
  "custodian": {
    "id": "<string>",
    "name": "<string>",
    "address": {
      "address1": "<string>",
      "city": "<string>",
      "country": "<string>",
      "address2": "<string>",
      "zipCode": "<string>"
    }
  },
  "integrityDetails": {
    "signature": "<string>",
    "zodiaPublicKey": "<string>"
  },
  "currencyId": "<string>"
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required

Response

OK

address
string
required

On-chain address

Maximum string length: 128
ledger
string
required

Ledger associated with the address

Maximum string length: 6
walletId
string
required

Wallet ID associated with the address

Maximum string length: 128
walletOwner
object
required
custodian
object
required
integrityDetails
object
required
currencyId
string

Currency ID associated with the address

Maximum string length: 128